Epoch:                  1

%global eclipse_major   4
%global eclipse_minor   2
%global eclipse_majmin  %{eclipse_major}.%{eclipse_minor}
%global eclipse_micro   2
%global initialize      1
%global eb_commit       7a327b17de5f606f47cba6b74e64619520186b7a
%global build_id        I20120608-1400
%global eclipse_version %{eclipse_majmin}.%{eclipse_micro}
%global installation_loc %{_libdir}/%{name}


%ifarch %{ix86}
    %define  eclipse_arch x86
%endif
%ifarch %{arm}
    %define eclipse_arch arm
%endif 
%ifarch %{power64} 
    %define eclipse_arch ppc64
%endif
%ifarch s390 s390x ppc x86_64
    %define eclipse_arch %{_arch}
%endif


# Set this flag to 1 if you want to build Eclipse without dependency to eclipse-pde
# Some parts (help) will not be built, and second run will be required, but this
# is a way to bootstrap Eclipse on secondary archs.
%global bootstrap       1

# FIXME:  update java packaging guidelines for this.  See
# fedora-devel-java-list discussion in September 2008.
#
# Prevent brp-java-repack-jars from being run.
%define __jar_repack 0


# A small utility macro for replacing dependency bundles with symlinks
# The pattern should match the plugin name from the beginning and filter only one plugin
# Usage:
#   %%_symlink pattern path-to-jar-inside /usr/share/java
# Example:
#   %%_symlink com.jcraft.jsch_ jsch.jar
# The macro will locate a jar matching to ^com.jcraft.jsch_ and replace it with 
# a symlink to /usr/share/java/jsch.jar but preserving the original file name. 
%define _symlink() \
_f=`ls | grep -e "^%{1}"`; \
rm -rf ${_f} ; \
ln -s %{_javadir}/%{2} ${_f} 


#Usage
# _secondary baseArch targetArch
%define _secondary() \
_f=`ls | grep -e "%{1}$"`; \
if [ -d ${_f/%{2}/%{3}/} ]; then \
    echo "fragment ${_f/%{2}/%{3}/} already exists" \
else cp -r ${_f} ${_f/%{2}/%{3}/} ; \
find ${_f/%{2}/%{3}/} -type f -exec sed -i -e "s/%{2}/%{3}/g" {} \\; \
fi;


Summary:        An open, extensible IDE
Name:           eclipse
Version:        %{eclipse_version}
Release:        8%{?dist}
License:        EPL
Group:          Development/Tools
URL:            http://www.eclipse.org/
#get-eclipse.sh
Source0:        eclipse-source.tar.bz2
#http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.eclipse-build.git/snapshot/org.eclipse.linuxtools.eclipse-build-701400b0ca475ea73bd828c66b00fb63c5ec2c8c.tar.bz2
Source1:        eclipse-build-%{eb_commit}.tar.xz
Source2:        macros.%{name}

# -com.sun.el
# +javax.el
# -org.apache.jasper.glassfish
# +org.glassfish.web.javax.servlet.jsp
# -org.apache.lucene
# +org.apache.lucene.core
Patch0:         %{name}-help-feature-adjust-dependencies.patch

# -org.w3c.dom.smil
# -javax.annotation
# +org.apache.geronimo.specs.geronimo-annotation_1.1_spec
Patch1:         %{name}-remove-w3c-smil-and-use-geronimo.patch

# recent icu has changed it's id. Eclipse Foundation ignores that.
# com.ibm.icu.base -> com.ibm.icu
Patch3:         %{name}-fix-icu-import.patch

# Eclipse should not duplicate dependency sources (which are delivered
# by those dependencies packages).
Patch4:         %{name}-no-source-for-dependencies.patch

# +org.glassfish.web.javax.servlet.jsp
# +org.apache.commons.el 
Patch5:         %{name}-osgi-serverside-patch-additional-imports.patch

# javax.servlet 2.1 -> javax.servlet 3.0
Patch7:         %{name}-fix-equinox-ip-imports.patch

# This has too many dependencies. We will not build it.
Patch8:         %{name}-remove-weaving.patch

# We don't want to ship sources for bundles that come as a separate package. 
# -org.eclipse.ecf.source
# -org.eclipse.ecf.filetransfer.source
# -org.eclipse.ecf.identity.source
# -org.eclipse.ecf.provider.filetransfer.ssl.source
# -org.eclipse.ecf.ssl.source
# -org.eclipse.ecf.provider.filetransfer.httpclient.source
# -org.apache.commons.codec
# -org.apache.commons.codec.source
# -org.apache.commons.httpclient
# -org.apache.commons.httpclient.source
Patch9:         %{name}-fix-master-ecf.patch

# Yet more 
# -*.source
# -org.apache*
Patch10:        %{name}-fix-master-equinox.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=385970
Patch11:        %{name}-osgi-unpack-sources.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=388120
Patch12:        %{name}-fix-debug-ui.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=384873
Patch13:        %{name}-fix-compatibility-class.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=388157
Patch14:        %{name}-fix-pde-ui-compilation.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=388159
Patch15:        %{name}-fix-transforms.patch

# No comment here. Don't download. Period.
Patch16:        %{name}-dont-download-old-platform-for-p2-tests.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=379102
Patch17:        %{name}-do-not-run-as-root.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=377515
Patch19:        %{name}-p2-pick-up-renamed-jars.patch

# Patch for this was contributed. Unlikely to be released.
Patch20:        %{name}-ignore-version-when-calculating-home.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=249133
Patch21:        %{name}-populate-update-sites-from-master.patch

# CBI uses timestamps generated from the git commits. We don't have the repo,
# just source, and we don't want additional dependencies.
Patch22:        %{name}-remove-jgit-provider.patch

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=388162
Patch23:        %{name}-fix-comilation-lucene-3.6-compile.patch

# This is for Fedora purposes to have working eclipse-pdebuild script.
Patch24:        %{name}-pdebuild-add-target.patch

# Strict Fedora purpose, too. We can't build entire product, just base
# and JDT and SDK as update sites, then we can assemble our own packages.
# https://bugs.eclipse.org/bugs/show_bug.cgi?id=386670
# additional poms are a part of e-b
Patch25:        %{name}-change-build-packagings.patch

#https://bugs.eclipse.org/bugs/show_bug.cgi?id=385410
Patch26:        %{name}-build-network-native-libs.patch

#https://bugs.eclipse.org/bugs/show_bug.cgi?id=385010
Patch27:        %{name}-build-filesystem-native-libs.patch

Patch29:        %{name}-test-support.patch

Patch30:        %{name}-remove-tomcat6.patch

Patch31:        %{name}-explicit-jdt-in-platform.patch

Patch32:        %{name}-adjust-p2-server-dependencies.patch

Patch35:        %{name}-secondary-arches.patch

Patch36:        %{name}-improve-core-net-makefile.patch

Patch37:        %{name}-debug-symbols.patch

BuildRequires: ant >= 1.8.3
BuildRequires: rsync
BuildRequires: jpackage-utils >= 0:1.5, make, gcc
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: GConf2-devel
BuildRequires: gcc-c++
BuildRequires: nspr-devel
BuildRequires: libXtst-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: cairo >= 1.0
BuildRequires: unzip
BuildRequires: coreutils
BuildRequires: desktop-file-utils
BuildRequires: java-devel >= 1:1.7.0
BuildRequires: java-javadoc >= 1:1.7.0
BuildRequires: libXt-devel
BuildRequires: webkitgtk-devel
BuildRequires: geronimo-annotation >= 1.0-7
BuildRequires: icu4j-eclipse >= 1:4.4.2.2-11
BuildRequires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-apache-bsf ant-commons-net
BuildRequires: ant-javamail ant-jdepend ant-junit ant-swing ant-jsch ant-testutil ant-apache-xalan2 ant-jmf
BuildRequires: ant-scripts
BuildRequires: jsch >= 0:0.1.46-2
BuildRequires: apache-commons-el >= 1.0-22
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-codec >= 1.6-2
BuildRequires: jakarta-commons-httpclient >= 1:3.1-7
BuildRequires: felix-gogo-command >= 0.12
BuildRequires: felix-gogo-shell >= 0.10.0-3
BuildRequires: osgi(org.eclipse.jetty.util) >= 8.1.0-1
BuildRequires: osgi(org.eclipse.jetty.server) >= 8.1.0-1
BuildRequires: osgi(org.eclipse.jetty.http) >= 8.1.0-1
BuildRequires: osgi(org.eclipse.jetty.continuation) >= 8.1.0-1
BuildRequires: osgi(org.eclipse.jetty.io) >= 8.1.0-1
BuildRequires: osgi(org.eclipse.jetty.security) >= 8.1.0-1
BuildRequires: osgi(org.eclipse.jetty.servlet) >= 8.1.0-1
BuildRequires: lucene >= 2.9.4-8
BuildRequires: lucene-contrib >= 2.9.4-8
BuildRequires: junit >= 4.10-5
BuildRequires: hamcrest >= 0:1.1-11
BuildRequires: sat4j >= 2.3.0-1
BuildRequires: objectweb-asm >= 3.3.1-1
BuildRequires: zip
BuildRequires: sac >= 1.3-12
BuildRequires: batik  >= 1.8
BuildRequires: xml-commons-apis >= 1.4.01-11
BuildRequires: atinject >= 1-6
BuildRequires: tycho >= 0.16
BuildRequires: tycho-extras >= 0.16
BuildRequires: eclipse-emf-core >= 1:2.8.1
BuildRequires: eclipse-ecf-core
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: glassfish-jsp-api >= 2.2.1-4
BuildRequires: cglib
BuildRequires: glassfish-jsp >= 2.2.5
%if %{bootstrap} != 1
BuildRequires: eclipse-pde
%endif
%if 0%{?rhel} >= 6
ExclusiveArch: %{ix86} x86_64
%endif

%description
The Eclipse platform is designed for building integrated development
environments (IDEs), server-side applications, desktop applications, and
everything in between.

%package     swt
Version:        %{eclipse_version}
Summary:        SWT Library for GTK+-2.0
Group:          Development/Tools
# %%{_libdir}/java directory owned by jpackage-utils
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       gtk2
Requires:       webkitgtk

%description swt
SWT Library for GTK+-2.0.

%package      equinox-osgi
Version:        %{eclipse_version}
Summary:        Eclipse OSGi - Equinox
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Provides:       osgi(system.bundle) = %{epoch}:%{eclipse_version}

%description  equinox-osgi
Eclipse OSGi - Equinox

%package        platform
Version:        %{eclipse_version}
Summary:        Eclipse platform common files
Group:          Development/Tools
Requires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-apache-bsf ant-commons-net
Requires: ant-javamail ant-jdepend ant-junit ant-swing ant-jsch ant-testutil ant-apache-xalan2 ant-jmf
Requires: ant-scripts
Requires: apache-commons-el >= 1.0-23
Requires: apache-commons-logging
Requires: apache-commons-codec >= 1.6-2
Requires: jakarta-commons-httpclient >= 1:3.1-7
Requires: felix-gogo-command >= 0.12
Requires: felix-gogo-shell >= 0.10.0-3
Requires: osgi(org.eclipse.jetty.util) >= 8.1.0-1
Requires: osgi(org.eclipse.jetty.server) >= 8.1.0-1
Requires: osgi(org.eclipse.jetty.http) >= 8.1.0-1
Requires: osgi(org.eclipse.jetty.continuation) >= 8.1.0-1
Requires: osgi(org.eclipse.jetty.io) >= 8.1.0-1
Requires: osgi(org.eclipse.jetty.security) >= 8.1.0-1
Requires: osgi(org.eclipse.jetty.servlet) >= 8.1.0-1
Requires: jsch >= 0.1.46-2
Requires: lucene >= 2.9.4-8
Requires: lucene-contrib >= 2.9.4-8
Requires: sat4j >= 2.3.0-1
Requires: sac >= 1.3-12
Requires: xml-commons-apis >= 1.4.01-11
Requires: batik >= 1.8
Requires: atinject >= 1-6
Requires: geronimo-annotation >= 1.0-7
Requires: eclipse-ecf-core
Requires: eclipse-emf-core >= 2.8.1
Requires: tomcat-servlet-3.0-api
Requires: glassfish-jsp-api >= 2.2.1-4
Requires: glassfish-jsp >= 2.2.5
Requires: icu4j-eclipse >= 1:4.4.2.2-11
Requires: eclipse-swt = %{epoch}:%{eclipse_version}-%{release}
Requires: eclipse-equinox-osgi = %{epoch}:%{eclipse_version}-%{release}
Provides: eclipse-cvs-client = %{epoch}:%{eclipse_version}-%{release}
Obsoletes: eclipse-cvs-client < 1:3.3.2-20
Obsoletes: eclipse-rcp < 1:%{eclipse_version}-%{release}
Provides: eclipse-rcp = 1:%{eclipse_version}-%{release}

%description    platform
The Eclipse Platform is the base of all IDE plugins.  This does not include the
Java Development Tools or the Plugin Development Environment.

%package        jdt
Version:        %{eclipse_version}
Summary:        Eclipse Java Development Tools
Group:          Development/Tools
Requires:       %{name}-platform = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-cvs-client = %{epoch}:%{eclipse_version}-%{release}
Requires:       junit >= 4.10-5
Requires:       jakarta-commons-httpclient >= 1:3.1-7
Requires:       hamcrest >= 0:1.1-11
Requires:       java-javadoc >= 1:1.7.0


%description    jdt
Eclipse Java Development Tools.  This package is required to use Eclipse for
developing software written in the Java programming language.

%package        pde
Version:        %{eclipse_version}
Summary:        Eclipse Plugin Development Environment
Group:          Development/Tools
Provides:       eclipse = %{epoch}:%{eclipse_version}-%{release}
Provides:       eclipse-sdk = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-platform = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-jdt = %{epoch}:%{eclipse_version}-%{release}
Requires:       objectweb-asm >= 3.3.1-1
# For PDE Build wrapper script + creating jars
Requires:       zip
Requires:       bash
Provides:       %{name}-pde-runtime = 1:%{eclipse_version}-%{release}
Obsoletes:      %{name}-pde-runtime < 1:3.3.2-20

%description    pde
Eclipse Plugin Development Environment.  This package is required for
developing Eclipse plugins.

%package        tests
Version:        %{eclipse_version}
Summary:        Eclipse Tests
Group:          Development/Tools
Requires:       %{name}-pde = %{epoch}:%{eclipse_version}-%{release}

%description    tests
Eclipse Tests.

%prep

%setup -q %{SOURCE0} -n R4_platform-aggregator

tar --strip-components=1 -xf %{SOURCE1}

rm -rf rt.equinox.incubator

%patch0
%patch1
%patch3
%patch4
%patch5
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch19
%patch20
%patch21
%patch22
%patch23
%patch24
%patch25
%patch26
%patch27
%patch29
%patch30
%patch31
%patch32
%patch35
%patch36
%patch37

#To save build hdd space (it took more than 10GB to build everything)
%pom_disable_module platform.sdk eclipse.platform.releng.tychoeclipsebuilder
%pom_disable_module rcp eclipse.platform.releng.tychoeclipsebuilder
%pom_disable_module rcp.sdk eclipse.platform.releng.tychoeclipsebuilder
%pom_disable_module sdk eclipse.platform.releng.tychoeclipsebuilder
%pom_disable_module equinox.starterkit.product eclipse.platform.releng.tychoeclipsebuilder
%pom_disable_module osgistarter.config.launcher eclipse.platform.releng.tychoeclipsebuilder
%pom_disable_module eclipse.platform.repository

#we do not have dependencies for those tests
%pom_disable_module bundles/org.eclipse.equinox.region.tests rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.weaving.aspectj rt.equinox.bundles
%pom_disable_module features/org.eclipse.equinox.weaving.sdk rt.equinox.bundles
%pom_disable_module features/master-equinox-weaving eclipse.platform.releng

%pom_disable_module bundles/org.eclipse.equinox.cm.test rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.console.ssh rt.equinox.bundles

%pom_disable_module features/org.eclipse.equinox.sdk rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.console.jaas.fragment rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.ip rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.transforms.xslt rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.transforms.hook rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.weaving.caching rt.equinox.bundles
%pom_disable_module bundles/org.eclipse.equinox.weaving.hook rt.equinox.bundles
%pom_disable_module features/org.eclipse.equinox.compendium.sdk rt.equinox.bundles
%pom_disable_module features/org.eclipse.equinox.core.sdk rt.equinox.framework
%pom_disable_module features/org.eclipse.equinox.p2.sdk rt.equinox.p2
%pom_disable_module features/org.eclipse.equinox.server.p2 rt.equinox.bundles
%pom_disable_module features/org.eclipse.equinox.serverside.sdk rt.equinox.bundles
%pom_disable_module features/master-equinox eclipse.platform.releng
%pom_disable_module features/master eclipse.platform.releng
%pom_disable_module features/master-ecf eclipse.platform.releng
%pom_disable_module bundles/org.eclipse.releng.tools eclipse.platform.releng
%pom_disable_module features/org.eclipse.releng.tools eclipse.platform.releng


#no idea what's that. Maybe later - sources seem to be hidden inside this additonal jar.
%pom_disable_module bundles/org.eclipse.equinox.weaving.caching.j9 rt.equinox.bundles/

%pom_disable_module bundles/org.eclipse.swt.carbon.macosx eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.aix.ppc eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.aix.ppc64 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.hpux.ia64 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.hpux.ia64_32 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.linux.ia64 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.solaris.sparc eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.gtk.solaris.x86 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.motif.aix.ppc eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.motif.hpux.ia64_32 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.motif.hpux.PA_RISC eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.motif.solaris.sparc eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.photon.qnx.x86 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.win32.wce_ppc.arm eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.win32.win32.ia64 eclipse.platform.swt.binaries
%pom_disable_module bundles/org.eclipse.swt.wpf.win32.x86 eclipse.platform.swt.binaries

%pom_disable_module rt.equinox.incubator

%pom_remove_plugin  org.mortbay.jetty:jetty-jspc-maven-plugin  eclipse.platform.ua/org.eclipse.help.webapp

# Use our system-installed javadocs, reference only what we built, and
# don't like to osgi.org docs (FIXME:  maybe we should package them?)
sed -i -e "s|http://download.oracle.com/javase/6/docs/api|%{_datadir}/javadoc|" \
   -e "/osgi\.org/d" \
   -e "s|-breakiterator|;../org.eclipse.equinox.util/@dot\n;../org.eclipse.ecf.filetransfer_3.0.0.v20090302-0803.jar\n;../org.eclipse.ecf_3.0.0.v20090302-0803.jar\n-breakiterator|" \
    eclipse.platform.common/bundles/org.eclipse.platform.doc.isv/platformOptions.txt
sed -i -e "s|http://download.oracle.com/javase/6/docs/api|%{_datadir}/javadoc|" \
   -e "s/win32.win32.x86/gtk.linux.%{eclipse_arch}/" \
   eclipse.platform.common/bundles/org.eclipse.jdt.doc.isv/jdtOptions.txt
sed -i -e "s|http://download.oracle.com/javase/6/docs/api|%{_datadir}/javadoc|" \
   -e "/osgi\.org/d" \
   eclipse.platform.common/bundles/org.eclipse.jdt.doc.isv/jdtOptions.txt
sed -i -e "s|http://download.oracle.com/javase/1.4.2/docs/api|%{_datadir}/javadoc|" \
   -e "s/motif.linux.x86/gtk.linux.%{eclipse_arch}/" \
   -e "/osgi\.org/d" \
   eclipse.platform.common/bundles/org.eclipse.pde.doc.user/pdeOptions.txt \
   eclipse.platform.common/bundles/org.eclipse.pde.doc.user/pdeOptions.txt
sed -i -e "s|http://download.oracle.com/javase/6/docs/api|%{_datadir}/javadoc|" \
   eclipse.platform.common/bundles/org.eclipse.pde.doc.user/pdeOptions.txt \
   eclipse.platform.common/bundles/org.eclipse.pde.doc.user/pdeOptions.txt

#fix for glib 2.31 not allowing include of anything else but glib
#This was released into Kepler
sed -i -e "s|#include <glib/gslist.h>||g" eclipse.platform.team/bundles/org.eclipse.core.net/natives/unix/gnomeproxy.c

# make sure there are no jars left
find . -name *.jar -exec rm -f {} \;
find . -name *.class -exec rm -f {} \;
find . -name *.so -exec rm -f {} \;

find . -type f -name build.properties -exec sed -i -e "s/javacTarget=jsr14/javacTarget=1.5/" {} \;
find . -name pom.xml -exec sed -i -e "s/jsr14/1.5/" {} \;
find . -name org.eclipse.jdt.core.prefs -exec sed -i -e "s/inlineJsrBytecode=enabled/inlineJsrBytecode=disabled/" {} \;

# https://bugs.eclipse.org/bugs/show_bug.cgi?id=386298
sed -i -e "s/new Equinox(configuration)/new Equinox((Map<String, ?>) (Object) configuration)/" rt.equinox.framework/bundles/org.eclipse.osgi.tests/src/org/eclipse/osgi/tests/bundles/SystemBundleTests.java
sed -i -e "s/new Equinox(configuration1)/new Equinox((Map<String, ?>) (Object) configuration1)/" rt.equinox.framework/bundles/org.eclipse.osgi.tests/src/org/eclipse/osgi/tests/bundles/SystemBundleTests.java
sed -i -e "s/new Equinox(configuration2)/new Equinox((Map<String, ?>) (Object) configuration2)/" rt.equinox.framework/bundles/org.eclipse.osgi.tests/src/org/eclipse/osgi/tests/bundles/SystemBundleTests.java
sed -i -e "s/new Equinox(configuration)/new Equinox((Map<String, ?>) (Object) configuration)/" rt.equinox.framework/bundles/org.eclipse.osgi.tests/src/org/eclipse/osgi/tests/securityadmin/SecurityManagerTests.java

# Other compilation problems caused by 1.4 -> 1.5 change
sed -i -e "s/ctxt.getBundleContext().registerService(getClass().getName(), this, serviceProps)/ctxt.getBundleContext().registerService(getClass().getName(), this, (Dictionary<String,?>)(Object)serviceProps)/" rt.equinox.bundles/bundles/org.eclipse.equinox.ds.tests/bundles_src/tb16/org/eclipse/equinox/ds/tests/tb16/TargetProperties.java
sed -i -e "s/ctxt.getBundleContext().registerService(PropertiesProvider.class.getName(), this, serviceProps)/ctxt.getBundleContext().registerService(PropertiesProvider.class.getName(), this, (Dictionary<String,?>)(Object)serviceProps)/" rt.equinox.bundles/bundles/org.eclipse.equinox.ds.tests/bundles_src/tb17/org/eclipse/equinox/ds/tests/tb17/Worker.java


# remove git from cbi build. It was explained earlier why.
sed -i -e "s@ org.eclipse.egit.core;bundle-version=\"1.3.0\";resolution:=optional@ org.eclipse.ui@" eclipse.platform.releng/bundles/org.eclipse.releng.tools/META-INF/MANIFEST.MF 
sed -i -e "s@ org.eclipse.jgit;bundle-version=\"1.3.0\";resolution:=optional,@ org.eclipse.ui,@" eclipse.platform.releng/bundles/org.eclipse.releng.tools/META-INF/MANIFEST.MF  
# without git we are not able to compile those classes.
rm eclipse.platform.releng/bundles/org.eclipse.releng.tools/src/org/eclipse/releng/tools/git/*


pushd  eclipse.platform.swt.binaries/bundles
    %_secondary gtk.linux.x86 x86 arm
    find . -name build.xml -exec sed -i -e "s/make_xulrunner//g" {} \;
    find . -name build.xml -exec sed -i -e "s/make_mozilla//g" {} \;
    find . -name build.xml -exec sed -i -e "s/make_xpcominit//g" {} \;
popd 
pushd eclipse.platform.resources/bundles
    %_secondary linux.x86 x86 arm
    %_secondary linux.x86_64 x86_64 ppc64
    %_secondary linux.x86 x86 s390
    %_secondary linux.x86_64 x86_64 s390x
popd
pushd eclipse.platform.team/bundles/org.eclipse.core.net/fragments
    %_secondary linux.x86 x86 arm
    %_secondary linux.x86 x86 ppc
    %_secondary linux.x86_64 x86_64 ppc64
    %_secondary linux.x86 x86 s390
    %_secondary linux.x86_64 x86_64 s390x
popd
pushd rt.equinox.framework/bundles
    %_secondary gtk.linux.x86 x86 arm
popd
pushd rt.equinox.binaries
    %_secondary gtk.linux.x86 x86 arm
popd

# Partially covered by https://bugs.eclipse.org/bugs/show_bug.cgi?id=386377
sed -i -e "s/1407/1503/" rt.equinox.framework/launcher-binary-parent/pom.xml
sed -i -e "s/1500/1503/" rt.equinox.framework/bundles/org.eclipse.equinox.launcher.gtk.linux.%{eclipse_arch}/pom.xml

#hack - there should be a patch providing a profile for each arch
mkdir -p rt.equinox.framework/bundles/org.eclipse.equinox.executable/bin/gtk/linux/%{eclipse_arch}
mkdir -p rt.equinox.binaries/org.eclipse.equinox.executable/bin/gtk/linux/%{eclipse_arch}

sed -i -e "s/org.apache.jasper.glassfish/org.glassfish.web.javax.servlet.jsp/" eclipse.platform.common/bundles/org.eclipse.platform.doc.isv/pom.xml
sed -i -e "s/javax.annotation/org.apache.geronimo.specs.geronimo-annotation_1.1_spec/" eclipse.platform.common/bundles/org.eclipse.platform.doc.isv/pom.xml

#ensure that bundles with *.so libs are dirs, so no *.so is extracted into user.home
for f in `find eclipse.platform.swt.binaries/bundles/org.eclipse.swt.gtk.* -name MANIFEST.MF` ; do 
	echo -e "Eclipse-BundleShape: dir\n\n" >> $f; 
done
for f in `find eclipse.platform.resources/bundles/org.eclipse.core.filesystem.linux.* -name MANIFEST.MF` ; do 
	echo -e "Eclipse-BundleShape: dir\n\n" >> $f; 
done
for f in `find eclipse.platform.team/bundles/org.eclipse.core.net/fragments -name MANIFEST.MF` ; do 
	echo -e "Eclipse-BundleShape: dir\n\n" >> $f; 
done

sed -i -e 's@>org.eclipse.jdt<@>org.eclipse.tycho<@' eclipse-parent/pom.xml
sed -i -e 's@1.1.0-SNAPSHOT@1.1.1-SNAPSHOT@' rt.equinox.bundles/bundles/org.eclipse.equinox.region/pom.xml



%build
#This is the lowest value where the build succeeds. 512m is not enough.
export MAVEN_OPTS="-Xmx700m -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState"

pushd .m2/p2/repo-sdk/features
    ln -s /usr/share/java/emf/eclipse/features/* -t .
popd

pushd .m2/p2/repo-sdk/plugins

ln -s /usr/share/java/emf/eclipse/plugins/* -t .


#If Eclipse is present (non-bootstrap build) copy all bundles
%if %{bootstrap} == 0
    for f in %{_libdir}/eclipse/plugins/* ; do ln -s $f || echo "$f exists"; done
    for f in %{_libdir}/eclipse/dropins/jdk/plugins/* ; do ln -s $f || echo "$f exists"; done
    for f in %{_libdir}/eclipse/dropins/sdk/plugins/* ; do ln -s $f || echo "$f exists"; done
%endif

#create fake junit3
pushd org.junit_3.8.2.v3_8_2_v20100427-1100
    ln -s %{_javadir}/junit.jar
popd
zip -r org.junit_3.8.2.v3_8_2_v20100427-1100.jar org.junit_3.8.2.v3_8_2_v20100427-1100

#symlink ant libraries
pushd org.apache.ant_1.8.3.v20120321-1730
  mkdir -p lib
    pushd lib
        #rm *
        ln -s %{_javadir}/ant/ant-antlr.jar
        ln -s %{_javadir}/ant/ant-apache-bcel.jar
        ln -s %{_javadir}/ant/ant-apache-bsf.jar
        ln -s %{_javadir}/ant/ant-apache-log4j.jar
        ln -s %{_javadir}/ant/ant-apache-oro.jar
        ln -s %{_javadir}/ant/ant-apache-regexp.jar
        ln -s %{_javadir}/ant/ant-apache-resolver.jar
        ln -s %{_javadir}/ant/ant-apache-xalan2.jar
        ln -s %{_javadir}/ant/ant-commons-logging.jar
        ln -s %{_javadir}/ant/ant-commons-net.jar
        ln -s %{_javadir}/ant/ant-javamail.jar
        ln -s %{_javadir}/ant/ant-jdepend.jar
        ln -s %{_javadir}/ant/ant-jmf.jar
        ln -s %{_javadir}/ant/ant-jsch.jar
        ln -s %{_javadir}/ant/ant-junit.jar
        ln -s %{_javadir}/ant/ant-junit.jar junit4.jar
        ln -s %{_javadir}/ant-launcher.jar
        ln -s %{_javadir}/ant/ant-swing.jar
        ln -s %{_javadir}/ant/ant-testutil.jar
        ln -s %{_javadir}/ant.jar
    popd
mkdir -p bin
    pushd bin
        #rm *
        ln -s /usr/bin/ant ant
        ln -s /usr/bin/antRun antRun
        ln -s /usr/bin/antRun.pl antRun.pl
        ln -s /usr/bin/runant.pl runant.pl
        ln -s /usr/bin/runant.py runant.py
        ln -s /usr/bin/complete-ant-cmd.pl complete-and-cmd.pl
    popd
popd
zip -r org.apache.ant_1.8.3.v20120321-1730.jar org.apache.ant_1.8.3.v20120321-1730
popd

mvn-rpmbuild -f maven-cbi-plugin/pom.xml \
   clean install \
   -Dmaven.local.mode=true -Dtycho.local.keepTarget -DskipTychoVersionCheck

mvn-rpmbuild -f eclipse-parent/pom.xml \
   clean install \
   -Dmaven.local.mode=true -Dtycho.local.keepTarget -DskipTychoVersionCheck

# workaround for https://bugs.eclipse.org/bugs/show_bug.cgi?id=386377
pushd rt.equinox.framework/bundles/org.eclipse.equinox.executable/library/gtk/
    export JAVA_HOME=%{java_home}
    ant
popd 

mvn-rpmbuild clean install \
   -Dmaven.test.skip=true -Dnative=gtk.linux.%{eclipse_arch} -DskipTychoVersionCheck \
   -Dmaven.local.mode=true -Dtycho.local.keepTarget -Dbuilddoc=$((%{bootstrap} != 1)) \
   -Dcbi-jdt-version=3.8.0.v_C03


pushd eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}

######################
# Extract jdt and pde to dropins
######################
pushd eclipse

#symlink what should be symlinked
pushd plugins
#So, remove duplicated jars and symlink them
%_symlink com.ibm.icu_ icu4j-eclipse/plugins/com.ibm.icu_*.jar
%_symlink com.jcraft.jsch_ jsch.jar 
%_symlink javax.el_ tomcat-el-api.jar
%_symlink javax.xml_ xml-commons-apis.jar
%_symlink javax.inject_ atinject.jar
%_symlink javax.servlet_ tomcat-servlet-api.jar
%_symlink javax.servlet.jsp_ glassfish-jsp-api.jar
%_symlink org.apache.batik.css_ batik/batik-css.jar
%_symlink org.apache.batik.util_ batik/batik-util.jar
%_symlink org.apache.batik.util.gui_ batik/batik-gui-util.jar
%_symlink org.apache.commons.codec_ commons-codec.jar
%_symlink org.apache.commons.httpclient_ commons-httpclient.jar
%_symlink org.apache.commons.logging_ commons-logging.jar
%_symlink org.apache.felix.gogo.command_ felix/org.apache.felix.gogo.command.jar
%_symlink org.apache.felix.gogo.runtime_ felix/org.apache.felix.gogo.runtime.jar
%_symlink org.apache.felix.gogo.shell_ felix/org.apache.felix.gogo.shell.jar
%_symlink org.apache.geronimo.specs.geronimo-annotation_1.1_spec_ geronimo-annotation.jar
%_symlink org.apache.lucene.core_ lucene.jar
%_symlink org.apache.lucene.analysis_ lucene-contrib/lucene-analyzers.jar
%_symlink org.eclipse.ecf_ ecf/eclipse/plugins/org.eclipse.ecf_*.jar
%_symlink org.eclipse.ecf.identity_ ecf/eclipse/plugins/org.eclipse.ecf.identity_*.jar
%_symlink org.eclipse.ecf.filetransfer_ ecf/eclipse/plugins/org.eclipse.ecf.filetransfer_*.jar
%_symlink org.eclipse.ecf.provider.filetransfer.httpclient_ ecf/eclipse/plugins/org.eclipse.ecf.provider.filetransfer.httpclient_*.jar
%_symlink org.eclipse.ecf.provider.filetransfer.httpclient.ssl_ ecf/eclipse/plugins/org.eclipse.ecf.provider.filetransfer.httpclient.ssl_*.jar
%_symlink org.eclipse.ecf.provider.filetransfer.ssl_ ecf/eclipse/plugins/org.eclipse.ecf.provider.filetransfer.ssl_*.jar
%_symlink org.eclipse.ecf.provider.filetransfer_ ecf/eclipse/plugins/org.eclipse.ecf.provider.filetransfer_*.jar
%_symlink org.eclipse.ecf.ssl_ ecf/eclipse/plugins/org.eclipse.ecf.ssl_*.jar
%_symlink org.eclipse.emf.common_ emf/eclipse/plugins/org.eclipse.emf.common_*.jar
%_symlink org.eclipse.emf.ecore.change_ emf/eclipse/plugins/org.eclipse.emf.ecore.change_*.jar
%_symlink org.eclipse.emf.ecore_ emf/eclipse/plugins/org.eclipse.emf.ecore_*.jar
%_symlink org.eclipse.emf.ecore.xmi_ emf/eclipse/plugins/org.eclipse.emf.ecore.xmi_*.jar
%_symlink org.eclipse.jetty.util_ jetty/jetty-util.jar
%_symlink org.eclipse.jetty.server_ jetty/jetty-server.jar
%_symlink org.eclipse.jetty.http_ jetty/jetty-http.jar
%_symlink org.eclipse.jetty.continuation_ jetty/jetty-continuation.jar
%_symlink org.eclipse.jetty.io_ jetty/jetty-io.jar
%_symlink org.eclipse.jetty.security_ jetty/jetty-security.jar
%_symlink org.eclipse.jetty.servlet_ jetty/jetty-servlet.jar
%_symlink org.glassfish.web.javax.servlet.jsp_ glassfish-jsp.jar
%_symlink org.sat4j.core_ org.sat4j.core.jar
%_symlink org.sat4j.pb_ org.sat4j.pb.jar
%_symlink org.w3c.css.sac_ sac.jar
%_symlink org.w3c.dom.svg_ xml-commons-apis-ext.jar

#also within ant
cd org.apache.ant_*
    pushd lib
        rm *
        ln -s %{_javadir}/ant/ant-antlr.jar
        ln -s %{_javadir}/ant/ant-apache-bcel.jar
        ln -s %{_javadir}/ant/ant-apache-bsf.jar
        ln -s %{_javadir}/ant/ant-apache-log4j.jar
        ln -s %{_javadir}/ant/ant-apache-oro.jar
        ln -s %{_javadir}/ant/ant-apache-regexp.jar
        ln -s %{_javadir}/ant/ant-apache-resolver.jar
        ln -s %{_javadir}/ant/ant-apache-xalan2.jar
        ln -s %{_javadir}/ant/ant-commons-logging.jar
        ln -s %{_javadir}/ant/ant-commons-net.jar
        ln -s %{_javadir}/ant/ant-javamail.jar
        ln -s %{_javadir}/ant/ant-jdepend.jar
        ln -s %{_javadir}/ant/ant-jmf.jar
        ln -s %{_javadir}/ant/ant-jsch.jar
        ln -s %{_javadir}/ant/ant-junit.jar
        ln -s %{_javadir}/ant/ant-junit.jar junit4.jar
        ln -s %{_javadir}/ant-launcher.jar
        ln -s %{_javadir}/ant/ant-swing.jar
        ln -s %{_javadir}/ant/ant-testutil.jar
        ln -s %{_javadir}/ant.jar
    popd

    pushd bin
        rm *
        ln -s /usr/bin/ant ant
        ln -s /usr/bin/antRun antRun
        ln -s /usr/bin/antRun.pl antRun.pl
        ln -s /usr/bin/runant.pl runant.pl
        ln -s /usr/bin/runant.py runant.py
        ln -s /usr/bin/complete-ant-cmd.pl complete-and-cmd.pl
    popd
popd

popd

#make a backup 
cp -rf eclipse eclipse-backup-with-jdt
# go into backup
pushd eclipse-backup-with-jdt
        ./eclipse -application org.eclipse.equinox.p2.director \
        -repository file:/`pwd`/../../../../../../../../../eclipse.platform.releng.tychoeclipsebuilder/jdtpde/target/repository \
        -installIU org.eclipse.jdt.feature.group
#exit backup
popd

mkdir -p jdt/plugins jdt/features


#get the difference and copy all files into jdt folder
for i in `ls eclipse-backup-with-jdt/features` ; do \
    if [ ! -e eclipse/features/$i ]; \
        then cp -r eclipse-backup-with-jdt/features/$i jdt/features ; \
    fi  \
done

for i in `ls eclipse-backup-with-jdt/plugins` ; do \
    if [ ! -e eclipse/plugins/$i ]; \
        then cp -r eclipse-backup-with-jdt/plugins/$i jdt/plugins ; \
    fi  \
done

cp -rf eclipse-backup-with-jdt eclipse-backup-with-jdt-pde

pushd eclipse-backup-with-jdt-pde
    ./eclipse -application org.eclipse.equinox.p2.director \
        -repository file:/`pwd`/../../../../../../../../../eclipse.platform.releng.tychoeclipsebuilder/jdtpde/target/repository \
        -installIU org.eclipse.sdk.feature.group
popd

mkdir -p sdk/plugins sdk/features

#get the difference and copy all files into pde folder
for i in `ls eclipse-backup-with-jdt-pde/features` ; do \
    if [ ! -e eclipse-backup-with-jdt/features/$i ]; \
        then cp -r eclipse-backup-with-jdt-pde/features/$i sdk/features ; \
    fi  \
done

for i in `ls eclipse-backup-with-jdt-pde/plugins` ; do \
    if [ ! -e eclipse-backup-with-jdt/plugins/$i ]; \
        then cp -r eclipse-backup-with-jdt-pde/plugins/$i sdk/plugins ; \
    fi  \
done


cp -r jdt sdk eclipse/dropins


#clean up
cd eclipse
rm -rf configuration/org.eclipse.core.runtime
rm -rf configuration/org.eclipse.equinox.app
rm -rf configuration/org.eclipse.update/*
rm -rf configuration/org.eclipse.osgi

#symlink jdt & sdk
pushd dropins/jdt/plugins
 f=`ls | grep -e "^org.hamcrest.core_"`
 rm -f $f 
 ln -s %{_javadir}/hamcrest/core.jar $f

 pushd org.junit_3.8.2.*
 rm -f junit.jar
 ln -s /usr/share/java/junit.jar
 popd

 rm -rf org.junit_4*
 ln -s /usr/share/java/junit.jar
popd

pushd dropins/sdk/plugins
 f=`ls | grep -e "^com.ibm.icu.source_"`
 rm $f 
 ln -s %{_javadir}/icu4j-eclipse/plugins/com.ibm.icu.source_*.jar $f

 f=`ls | grep -e "^org.objectweb.asm_"`
 rm $f 
 ln -s %{_javadir}/objectweb-asm/asm-all.jar $f
popd


popd

%install
# We don't need icon.xpm
# https://bugs.eclipse.org/292472
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/icon.xpm

#install icons
install -D eclipse.platform/platform/org.eclipse.platform/eclipse32.png \
    $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/eclipse.png
install -D eclipse.platform/platform/org.eclipse.platform/eclipse48.png \
    $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/eclipse.png
install -D eclipse.platform/platform/org.eclipse.platform/eclipse256.png \
    $RPM_BUILD_ROOT/usr/share/icons/hicolor/256x256/apps/eclipse.png
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
ln -s /usr/share/icons/hicolor/256x256/apps/eclipse.png \
    $RPM_BUILD_ROOT/usr/share/pixmaps/eclipse.png

# Some directories we need
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/java
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT/usr/share/eclipse/dropins
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

#################################
### Extraced from old build.xml #
#################################
LOCAL_PWD=`pwd`
#change the installation p2 files
pushd eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}/eclipse/p2/org.eclipse.equinox.p2.engine/profileRegistry/SDKProfile.profile/
for i in `ls | grep "profile.gz"` ; do  \
        echo $i ; \
        gunzip $i ; \
        sed -i -e "s@${LOCAL_PWD}/eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}/eclipse@%{_libdir}/eclipse@g" *.profile ; \
        gzip *.profile ; \
    done 



#    TODO: some other paths
popd 

#delete all local repositories. We want to have only "original" by default.
pushd eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}/eclipse/p2/org.eclipse.equinox.p2.engine/.settings
    sed -i "/repositories\/file/d" *.prefs ../profileRegistry/SDKProfile.profile/.data/.settings/*.prefs
    sed -i "/repositories\/memory/d" *.prefs ../profileRegistry/SDKProfile.profile/.data/.settings/*.prefs
popd

#clean cache
pushd eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}/eclipse/p2/org.eclipse.equinox.p2.core/cache
    rm -rf *
popd

#installation itself - copy it into right location
rsync -vrpl eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}/eclipse \
    $RPM_BUILD_ROOT%{_libdir}

#desktop file
install -D desktopintegration/eclipse.desktop $RPM_BUILD_ROOT/usr/share/applications/eclipse.desktop

#eclipse compiler
chmod ugo+rx jdtcompilatorscript/efj.sh
mkdir -p $RPM_BUILD_ROOT/usr/bin
install jdtcompilatorscript/efj.sh $RPM_BUILD_ROOT/usr/bin/efj
TARGET_LAUNCHER=%{installation_loc}\/plugins/`ls eclipse.platform.releng.tychoeclipsebuilder/platform/target/products/org.fedoraproject.eclipse.platform/linux/gtk/%{eclipse_arch}/eclipse/plugins | grep launcher_[0-9]*`
sed -i -e "s,@LAUNCHER@,${TARGET_LAUNCHER}," $RPM_BUILD_ROOT/usr/bin/efj

#eclipse binary
mkdir -p $RPM_BUILD_ROOT/usr/bin/
pushd $RPM_BUILD_ROOT/usr/bin/
    ln -s %{_libdir}/%{name}/eclipse
popd 

#SWT is now a folder, but we need to provide jars for others that depend on it.
pushd $RPM_BUILD_ROOT/%{_libdir}/%{name}
pushd plugins
SWT_JAR=`ls | grep swt.gtk`
cd ${SWT_JAR}
zip -r "../${SWT_JAR}.jar" *
popd
    ln -s  %{_libdir}/%{name}/plugins/"${SWT_JAR}.jar" swt.jar
    ln -s  %{_libdir}/%{name}/plugins/"${SWT_JAR}.jar" swt-gtk.jar
	mkdir -p ../../lib/java
	ln -s  %{_libdir}/%{name}/swt.jar ../../lib/java/swt.jar
%ifarch  s390x power64 x86_64
	ln -s  %{_libdir}/%{name}/swt.jar ../../../%{_libdir}/java/swt.jar
%endif
popd

#eclipse ini
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/
pushd $RPM_BUILD_ROOT/%{_sysconfdir}/
ln -s %{_libdir}/%{name}/eclipse.ini
popd
#################################
### End of extraction           #
#################################


pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
rm -rf icon.xpm
popd

# Temporary fix until https://bugs.eclipse.org/294877 is resolved
sed -i "s|-Xms40m|-Xms128m|g" $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
sed -i "s|-Xmx384m|-Xmx512m|g" $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-Dorg.eclipse.swt.browser.UseWebKitGTK=true" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-Dhelp.lucene.tokenizer=standard" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini

# Prevent running master Eclipse in a shared configuration
echo "-preventMasterEclipseLaunch" | cat - $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini > /tmp/out && mv -f /tmp/out $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini

echo "-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins" >> $RPM_BUILD_ROOT%{_libdir}/%{name}/eclipse.ini

# Deploy installation debug config
echo -e "org.eclipse.equinox.p2.core/debug=true" >  $RPM_BUILD_ROOT%{_libdir}/%{name}/.options
echo -e "org.eclipse.equinox.p2.core/reconciler=true" >>  $RPM_BUILD_ROOT%{_libdir}/%{name}/.options

# OSGI JAR symlinks in javadir and maven depmaps
pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.osgi_*.jar osgi.jar
popd
install -m 0644 externalpoms/org.eclipse.osgi-3.6.0.v20100517.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-osgi.pom
%add_maven_depmap JPP.eclipse-osgi.pom %{name}/osgi.jar -a "org.eclipse:osgi,org.eclipse.tycho:org.eclipse.osgi" -f equinox-osgi

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*.jar osgi.services.jar
popd
install -m 0644 externalpoms/org.eclipse.osgi.services-3.2.100.v20100503.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-osgi.services.pom
%add_maven_depmap JPP.eclipse-osgi.services.pom %{name}/osgi.services.jar -a "org.eclipse.osgi:services" -f equinox-osgi

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*.jar osgi.util.jar
popd

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.servlet_*.jar equinox.http.servlet.jar
popd
install -m 0644 externalpoms/servlet-1.0.0-v20070606.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-equinox.http.servlet.pom
%add_maven_depmap JPP.eclipse-equinox.http.servlet.pom %{name}/equinox.http.servlet.jar -a "org.eclipse.equinox.http:servlet" -f platform

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.jdt.core_*.jar jdt.core.jar

popd
install -m 0644 externalpoms/org.eclipse.jdt.core-3.8.0.v_C03.pom $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-jdt.core.pom
%add_maven_depmap JPP.eclipse-jdt.core.pom %{name}/jdt.core.jar -a "org.eclipse:jdt.core,org.eclipse.tycho:org.eclipse.jdt.core"  -f jdt
# A sanity check.
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Create a script that can be used to make a symlink tree of the
# eclipse platform.
cp -p pdebuildscripts/eclipse-copy-platform.sh copy-platform

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts
mv copy-platform $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts
copyPlatform=$RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts/copy-platform

# Install the PDE Build wrapper script.
install -p -D -m0755 pdebuildscripts/eclipse-pdebuild.sh \
  $RPM_BUILD_ROOT%{_bindir}/%{name}-pdebuild
PDEBUILDVERSION=$(ls $RPM_BUILD_ROOT%{_libdir}/%{name}/dropins/sdk/plugins \
  | grep org.eclipse.pde.build_ | \
  sed 's/org.eclipse.pde.build_//')
sed -i "s/@PDEBUILDVERSION@/$PDEBUILDVERSION/g" \
  $RPM_BUILD_ROOT%{_bindir}/%{name}-pdebuild


#fix pde permissions
chmod a+x  $RPM_BUILD_ROOT%{_libdir}/%{name}/dropins/sdk/plugins/org.eclipse.pde.build_*/templates/package-build/*.sh
#replace pde reference
sed -i "s@/usr/share/eclipse@%{libdir}/%{name}@" $RPM_BUILD_ROOT%{_libdir}/%{name}/dropins/sdk/plugins/org.eclipse.pde.build_*/templates/package-build/build.properties

# Install eclipse macros file
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/rpm/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/



##############
# Tests
##############

unzip eclipse.platform.releng.tychoeclipsebuilder/eclipse-junit-tests/target/eclipse-junit-tests-bundle.zip -d $RPM_BUILD_ROOT/%{_javadir}/
unzip $RPM_BUILD_ROOT/%{_javadir}/eclipse-testing/eclipse-junit-tests-*.zip -d $RPM_BUILD_ROOT/%{_javadir}/eclipse-testing
rm $RPM_BUILD_ROOT/%{_javadir}/eclipse-testing/eclipse-junit-tests-*.zip
rm $RPM_BUILD_ROOT/%{_javadir}/eclipse-testing/runtests.bat

pushd $RPM_BUILD_ROOT/%{_javadir}/eclipse-testing/plugins
%_symlink org.easymock_ easymock.jar

rm -rf org.hamcrest.core_*
rm -rf com.junit_*
rm -rf org.junit4_*
popd


sed -i -e "s#@libdir@#%{_libdir}#" $RPM_BUILD_ROOT/%{_javadir}/eclipse-testing/runtests.sh

touch $RPM_BUILD_ROOT%{_bindir}/%{name}-runEclipsePackageTests
chmod a+x  $RPM_BUILD_ROOT/%{_bindir}/%{name}-runEclipsePackageTests
echo '#!/bin/sh' >>  $RPM_BUILD_ROOT/%{_bindir}/%{name}-runEclipsePackageTests
echo 'echo "results in /tmp/eclipse-tests-directory/results/"' >>  $RPM_BUILD_ROOT/%{_bindir}/%{name}-runEclipsePackageTests
echo 'export testslocation="%{_javadir}/eclipse-testing/"' >> $RPM_BUILD_ROOT/%{_bindir}/%{name}-runEclipsePackageTests
echo "pushd %{_javadir}/eclipse-testing;./runtests.sh -os linux -ws gtk -arch %{eclipse_arch} ; popd;" >>  $RPM_BUILD_ROOT/%{_bindir}/%{name}-runEclipsePackageTests


%post platform
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun platform
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre jdt
# workaround for rpm bug, can be removed in F-20 Fixes the problem with efj being directory instead of launcher
rm -rf %{_bindir}/efj/


%files swt
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/notice.html
%{_libdir}/%{name}/eclipse.ini
%{_libdir}/%{name}/.options
%{_libdir}/%{name}/epl-v10.html
%{_libdir}/%{name}/plugins/org.eclipse.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.swt.gtk.linux.*
%{_libdir}/%{name}/swt-gtk*.jar
%{_libdir}/%{name}/swt.jar
%{_usr}/lib/java/swt.jar
%ifarch  s390x power64 x86_64
%{_libdir}/java/swt.jar
%endif

%files platform
%attr(0755,root,root) %{_bindir}/%{name}
%{_libdir}/%{name}/.eclipseproduct
%config %{_libdir}/%{name}/eclipse.ini
%config %{_sysconfdir}/eclipse.ini
%{_sysconfdir}/rpm/macros.%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%{_libdir}/%{name}/eclipse
%dir %{_libdir}/%{name}/dropins
%dir %{_datadir}/%{name}/dropins
%{_libdir}/%{name}/configuration/config.ini
%{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
%{_libdir}/%{name}/features/org.eclipse.platform_*
%{_libdir}/%{name}/features/org.eclipse.e4.rcp_*
%{_libdir}/%{name}/features/org.eclipse.rcp_*
%{_libdir}/%{name}/features/org.eclipse.emf.common_*
%{_libdir}/%{name}/features/org.eclipse.emf.ecore_*
%{_libdir}/%{name}/features/org.eclipse.rcp.configuration_*
%{_libdir}/%{name}/plugins/com.ibm.icu_*
%{_libdir}/%{name}/plugins/com.jcraft.jsch_*
%{_libdir}/%{name}/plugins/javax.servlet_*
%{_libdir}/%{name}/plugins/javax.servlet.jsp_*
%{_libdir}/%{name}/plugins/javax.xml_*
%{_libdir}/%{name}/plugins/javax.el_*
%{_libdir}/%{name}/plugins/javax.inject_*.jar
%{_libdir}/%{name}/plugins/org.apache.ant_*
%{_libdir}/%{name}/plugins/org.apache.batik.css_*
%{_libdir}/%{name}/plugins/org.apache.batik.util.gui_*
%{_libdir}/%{name}/plugins/org.apache.batik.util_*
%{_libdir}/%{name}/plugins/org.apache.commons.codec_*
%{_libdir}/%{name}/plugins/org.apache.commons.httpclient_*
%{_libdir}/%{name}/plugins/org.apache.commons.logging_*
%{_libdir}/%{name}/plugins/org.apache.felix.gogo.command_*
%{_libdir}/%{name}/plugins/org.apache.felix.gogo.runtime_*
%{_libdir}/%{name}/plugins/org.apache.felix.gogo.shell_*
%{_libdir}/%{name}/plugins/org.apache.geronimo.specs.geronimo-annotation_1.1_spec_*
%{_libdir}/%{name}/plugins/org.glassfish.web.javax.servlet.jsp_*
%{_libdir}/%{name}/plugins/org.apache.lucene.core_*
%{_libdir}/%{name}/plugins/org.apache.lucene.analysis_*
%{_libdir}/%{name}/plugins/org.eclipse.ant.core_*
%{_libdir}/%{name}/plugins/org.eclipse.compare_*
%{_libdir}/%{name}/plugins/org.eclipse.compare.core_*
%{_libdir}/%{name}/plugins/org.eclipse.core.externaltools_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filebuffers_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem.linux.*
%{_libdir}/%{name}/plugins/org.eclipse.core.net_*
%{_libdir}/%{name}/plugins/org.eclipse.core.net.linux.*
%{_libdir}/%{name}/plugins/org.eclipse.core.resources_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.core.variables_*
%{_libdir}/%{name}/plugins/org.eclipse.debug.core_*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.core_*
%{_libdir}/%{name}/plugins/org.eclipse.debug.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.common_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.ecore.change_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.ecore.xmi_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.ecore_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.ds_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.event_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.jetty_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.servlet_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.help.base_*
%{_libdir}/%{name}/plugins/org.eclipse.help.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.help.webapp_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.text_*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.core_*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.core.refactoring_*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.ui.refactoring_*
%{_libdir}/%{name}/plugins/org.eclipse.platform_*
%{_libdir}/%{name}/plugins/org.eclipse.platform.doc.user_*
%{_libdir}/%{name}/plugins/org.eclipse.search_*
%{_libdir}/%{name}/plugins/org.eclipse.team.core_*
%{_libdir}/%{name}/plugins/org.eclipse.team.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.text_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.browser_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.cheatsheets_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.console_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.editors_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.externaltools_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.forms_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide.application_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro.universal_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator.resources_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.net_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views.properties.tabbed_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench.texteditor_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.contexts_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.di.extensions_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.di_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.services_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.bindings_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.core_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.swt.theme_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.di_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.model.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.services_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.widgets_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.addons.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.renderers.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench3_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.util_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.server_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.http_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.continuation_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.io_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.security_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.servlet_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.core_*
%{_libdir}/%{name}/plugins/org.eclipse.cvs_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ssh2_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ui_*
%{_libdir}/%{name}/features/org.eclipse.cvs_*
%{_libdir}/%{name}/features/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.frameworkadmin_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.frameworkadmin.equinox_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator.manipulator_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.core.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.extras.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.rcp.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.user.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.director_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.core_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.engine_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.jarprocessor_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.metadata_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.metadata.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.artifact.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.touchpoint.eclipse_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.touchpoint.natives_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.console_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ql_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.operations_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.transport.ecf_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.importexport_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.sdk_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.updatechecker_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.garbagecollector_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.directorywatcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.publisher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.publisher.eclipse_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.repository.tools_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.reconciler.dropins_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.updatesite_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.security_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.security.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.extensionlocation_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.director.app_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.httpclient_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.httpclient.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.filetransfer_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.identity_*
%{_libdir}/%{name}/plugins/org.sat4j.core_*
%{_libdir}/%{name}/plugins/org.sat4j.pb_*
%{_libdir}/%{name}/plugins/org.w3c.css.sac_*
%{_libdir}/%{name}/plugins/org.w3c.dom.svg_*
%{_libdir}/%{name}/plugins/org.eclipse.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.core.contenttype_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.beans_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.observable_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.property_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.core.expressions_*
%{_libdir}/%{name}/plugins/org.eclipse.core.jobs_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.app_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.bidi_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.common_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.concurrent_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.console_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher.gtk.linux.*_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.preferences_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.util_*
%{_libdir}/%{name}/plugins/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.jface_*
%{_libdir}/%{name}/plugins/org.eclipse.rcp_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.update.configurator_*
%{_libdir}/%{name}/readme/readme_eclipse.html
# Put this in -platform since we're putting the p2 stuff here
%{_libdir}/%{name}/artifacts.xml
# FIXME: should we ship content.xml for the platform?
#%%{_libdir}/%%{name}/metadata
%{_libdir}/%{name}/p2
%{_libdir}/%{name}/about.html
%{_libdir}/%{name}/about_files/
%{_javadir}/%{name}/equinox.http.servlet.jar
%{_mavenpomdir}/JPP.%{name}-equinox.http.servlet.pom
%{_mavendepmapfragdir}/%{name}-platform

%files jdt
%attr(0755,root,root) %{_bindir}/efj
%{_libdir}/%{name}/dropins/jdt
%{_javadir}/%{name}/jdt.core.jar
%{_mavenpomdir}/JPP.%{name}-jdt.core.pom
%{_mavendepmapfragdir}/%{name}-jdt

%files pde
%{_bindir}/%{name}-pdebuild
%{_libdir}/%{name}/buildscripts
%{_libdir}/%{name}/dropins/sdk

%files tests
%{_bindir}/%{name}-runEclipsePackageTests
%{_javadir}/%{name}-testing

%files equinox-osgi
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/osgi.jar
%{_javadir}/%{name}/osgi.services.jar
%{_javadir}/%{name}/osgi.util.jar
%{_libdir}/%{name}/plugins/org.eclipse.osgi_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*
%{_mavenpomdir}/JPP.%{name}-osgi*.pom
%{_mavendepmapfragdir}/%{name}-equinox-osgi

%changelog
* Mon Dec 16 2013 Alexander Kurtakov <akurtako@redhat.com> 1:4.2.2-8
- Rebuild to pick latest deps.

* Mon Jul 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-7
- Rebuild to include latest deps.

* Wed Mar 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-6
- Add _libdir/swt.jar back.

* Fri Mar 15 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-5
- Add stricter requires to xml-commons-apis.

* Mon Mar 4 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-4
- Drop the linkage patch. Rebuild with latest xml-commons-apis.

* Fri Mar 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-3
- Use org.w3c.dom version provided by JVM in all ui bundles.

* Wed Feb 27 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-2
- Fix the /usr/lib/java/swt.jar symlink.

* Wed Feb 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-1
- Update to upstream 4.2.2 release.

* Wed Feb 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.10.git20121217
- Yet another fix for RHBZ#912664.

* Tue Feb 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.9.git20121217
- Remove merge artifacts.

* Tue Feb 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.8.git20121217
- RHBZ#912664 - eclipse-swt should put swt.jar into /usr/lib/java even on 64 bit systems.
- RHBZ#903537 - [abrt] java-1.7.0-openjdk-1.7.0.9-2.3.4.fc18: gtk_widget_real_map (SIGABRT)

* Wed Feb 6 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.7.git20121217
- Do really fix the swt.jar (RHBZ#908112)

* Tue Feb 5 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.6.git20121217
- Fix the generated swt.jar.

* Fri Jan 25 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.5.git20121217
- RHBZ#832053: Ship SWT and other native plugins as folders.

* Thu Jan 17 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.4.git20121217
- RHBZ#893774: file shipped twice in eclipse-platform and eclipse-equinox-osgi

* Sat Jan 5 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.3.git20121217
- Fix missing about files on arm and ppc.

* Wed Jan 2 2013 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.2.git20121217
- Enable bootstrap (for the purpose of arm build).
- Fix the launcher build for arm.
- Fix the s390 build issue.

* Fri Dec 21 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.2-0.1.git20121217
- Update to pre SR2.

* Fri Dec 14 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-22
- Enable javadoc build.

* Mon Nov 26 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-21
- Remove javax.xml removal patch declaration.

* Fri Nov 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-19
- Excluded ResolverState from JIT to fix arm build.

* Thu Nov 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-18
- Get rid off javax.xml.
- Fix building launcher on arm.
- Fix RHBZ #878210

* Mon Nov 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-17
- Don't package non-existing fragments on s390, s390x.
- Add BR to GConf-2-devel

* Thu Nov 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-16
- Added debug symbols to SWT.
- Restored the debug package.
- Removed the debug flag from the build.

* Wed Nov 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-15
- Simplify initial repo creation.

* Tue Nov 6 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-14
- Export missing java home.

* Mon Nov 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-13
- Reduce the memory available for Tycho build.
- Reduce the build time.
- Use the upstream help generation patch.

* Wed Oct 31 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-12
- Remove the reference to org.apache.jasper (replaced by glassfish)

* Wed Oct 31 2012 Alexander Kurtakov <akurtako@redhat.com> 1:4.2.1-11
- Small cleanups.

* Wed Oct 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-10
- Make the removal of the icon more error prone.

* Tue Oct 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-9
- Remove a hack for building executable.

* Tue Oct 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-8
- Add profiles in the equinox executable for ppc and arm.

* Mon Oct 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-7
- Moved launcher version change after secondary fragments creation.
- Created some directories when creating secondary fragments.

* Fri Oct 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-6
- Correct the glassfish version.

* Fri Oct 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-5
- Removed patch for droping user installed changes.
- Moved Provides:osgi(system.bundle) to eclipse-equinox-osgi subpackage.
- Removed platform dependency to eclipse-rcp.
- Fixed building of core.net on secondary arches.

* Fri Oct 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-4
- Use glassfish-jsp-api instead of tomcat-jsp-api.

* Fri Oct 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-3
- Bootstrap build.
- Support for secondary architectures.

* Tue Oct 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-2
- Bump emf version to 2.8.1.

* Mon Oct 1 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-1
- Rebuild with latest emf 2.8.1.

* Mon Oct 1 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-0.5
- Remove duplicated patch (an effect of cherry-pick).

* Fri Sep 28 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-0.4
- 861037: Eclipse does not start in rawhide

* Thu Sep 20 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-0.3
- Remove build artifacts from P2 files.
- Fix native gnome-proxy build.

* Wed Sep 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-0.2
- Build the jdt.debug.launching internal jar.

* Wed Sep 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-0.1
- Update to SR1 RC4.

* Mon Sep 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-19
- Add BR/R tomcat-jsp-2.2-api tp platform.

* Mon Sep 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-18
- Explicit dependency to jdt in platform.
- Ammend the BR version for glassfish.

* Fri Sep 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-17
- Yet another version of the previous patch.

* Fri Sep 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-16
- Remove remaining mina-core dependency.

* Fri Sep 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-15
- Use existing software group.
- Add BR to eclipse-pde
- Removed dependency on tomcat6
- Removed BR GConf2-devel.
- Removed BR apache-sshd.
- Removed BR/R tomcat-lib.
- jetty BR/R transformed to osgi() style.
- Excluded org.eclipse.equinox.console.jaas from builds.

* Wed Sep 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-14
- Native network support added.
- Native filesystem support added.
- Added test package.
- Generated help contents.

* Fri Aug 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-12
- Fix eclipse-pdebuild script to have proper path to pde bundle.
- Ensure there are right R dependencies between subpackages.
- Overall spec improvements.
- Bug 820248 - Start using glassfish-jsp

* Thu Aug 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-11
- Symlink junit 4.
- Move additional, non-Eclipse sources back to eclipse-build.
- Make the patch for setting BREE smaller.
- Patch for the compatibility.registry updated.
- Introduce a macro for symlinking.
- Bug 851190 - eclipse CBI build does not Requires: icu4j-eclipse

* Wed Aug 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-10
- Fix Eclipse not picking anything from dropins folder.

* Tue Aug 21 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-9
- Adopt upstream CBI system.

* Tue Aug 14 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-8
- Symlink emf bundles.

* Tue Aug 14 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-7
- Reduce the emf-core dependency strength.

* Wed Aug  1 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:4.2.0-6
- Move maven fragments and pom files in appropriate subpackages

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:4.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-4
- Bug 839986 - eclipse-rcp: broken symlinks

* Fri Jul 6 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-3
- Improved patch for discovering changes after update.

* Thu Jul 5 2012 Alexander Kurtakov <akurtako@redhat.com> 1:4.2.0-2
- Fix compilation against lucene 3.x.

* Fri Jun 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-1
- Included patch for Eclipse bug 251167
- Recompiled all jsr14 bundles as 1.5
- Update to final Juno release.
- Removed the old pdebuild script warning.
- Created OSGI subpackage.
- Removed the necessity to delete ~/.eclipse after some updates.

* Fri Jun 18 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:4.2.0-0.24.I201205031800
- Remove empty reconciler script.

* Fri Jun 15 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.23.I201205031800
- Workaround for Eclipse bug 382574

* Thu May 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.22.I201205031800
- Do not pass the -preventMasterLaunch to non SDK applications.

* Fri May 18 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.21.I201205031800
- Prevent running Eclipse as root.
- Populate Update Sites.
- Pick renamed plugins on startup.
- Bundle the .option file for investigating startup problems.

* Sat May 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.20.I201205031800
- Update to M7.

* Mon Apr 30 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.19.I201204291800
- Update to I20120429-1800.

* Tue Apr 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.18.I201204171000
- Regenerating s390 and s390x launcher fragments from scratch.

* Mon Apr 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.17.I201204171000
- Remove duplicated junit library.
- Initial s390 and s390x support.
- Update to latest eclipse-build.

* Fri Apr 20 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.16.I201204171000
- Bug 814332 - Documentation is not pointing to locally installed javadoc.

* Thu Apr 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.15.I201204171000
- Amendment to previous release.

* Thu Apr 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.14.I201204171000
- Bug 813763 - /usr/bin/efj has missising exec permissions
- Bug 813756 - eclipse-jdt: bundled junit library
- Move hamcrest dependency to JDT.

* Wed Apr 18 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.13.I201204171000
- Move to the latest upstream I-build
- Generate full documentation.
- Formalize requirement on geronimo.

* Wed Apr 18 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:4.2.0-0.12.I201204051114
- Don't fail if icon.xpm does not exist.

* Thu Apr 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.11.I201204051114
- Version more requirements.
- Move java requirement to the lowest-in-stack package.
- Removed some rpmlint warnings from spec file.

* Wed Apr 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.10.I201204051114
- Specified version for java-javadoc requirements.

* Tue Apr 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.9.I201204051114
- Add proper version to conflicts eclipse-emf-core

* Tue Apr 10 2012 Andrew Overholt <overholt@redhat.com> 1:4.2.0-0.8.I201204051114
- Add epoch to java and java-devel {Build,}Requires.

* Tue Apr 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.7.I201204051114
- Bug 810568 - require Java 7 to run.
- Bug 810970 - Cannot start 4.2.0-0.6.I201204051114.fc18.x86_64

* Fri Apr 6 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.6.I201204051114
- Update to I20120405-1114 upstream Eclipse build.
- Update to latest e-b
- Bug 810552 - JSch Requires should be versioned

* Wed Apr 4 2012 Roland Grunberg <rgrunber@redhat.com> 1:4.2.0-0.5.fa15ab
- Define %%{_eclipse_base} to properly resolve %%{_libdir} for noarch.

* Mon Apr 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.4.fa15ab
- pdebuild script installed into %%{_bindir}

* Thu Mar 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.3.fa15ab
- Sort out problems with versions.

* Thu Mar 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.2.fa15ab
- Change eclipse-emf-core package version to 2.8

* Thu Mar 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.1.fa15ab
- Update to 4.2
- Added eclipse-emf-core package.

* Mon Mar 26 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.21.I201203201400
- Added Provides: osgi(system.bundle)  to rcp package.

* Thu Mar 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.20.I201203201400
- Update to I20120320-1400.
- Ant version changed to 1.8.3.
- ECF version changed to 3.5.5.
- Experimental ARM support.

* Fri Mar 16 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.19.I201203141800
- Update to I20120314-1800.
- Eclipse-build updated to head.
- Required Jsch version updated to include correct MANIFEST.MF

* Sun Mar 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.18.I201203060800
- Update to I20120228-0800.
- Properly build org.eclipse.jdt.launching from source.

* Wed Feb 29 2012 Andrew Overholt <overholt@redhat.com> 1:3.8.0-0.17.I201202280800
- Add macro for build ID to ease moving to new ones.

* Wed Feb 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.16.I201202280800
- Eclipse update to I20120228-0800

* Wed Feb 22 2012 Roland Grunberg <rgrunber@redhat.com> 1:3.8.0-0.15.I201202140800
- Add org.eclipse.tycho:org.eclipse.osgi to osgi depmap.
- Install org.eclipse.jdt.core in javadir/eclipse.
- Add maven pom and depmap for org.eclipse.jdt.core.

* Wed Feb 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.14.I201202140800
- Updated dependencies to match jetty 8.1.0-1.
- Updated commons-codec minimal requirements.
- Moved icu4j dependency from swt to rcp.

* Fri Feb 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.13.I201202140800
- Add the icu4j-source bundle.
- Update to Eclipse build I20120214-0800.

* Thu Feb 16 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.12.I201202070800
- Install a blank eclipse-reconciler.sh.

* Thu Feb 16 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.11.I201202070800
- Using system jar for junit 4 and different OSGI metadata for junit 3
- Adopt noarch icu4j-eclipse

* Mon Feb 13 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.10.I201202070800
- Remove reconciler macros from macros.eclipse.
- Do not create temp eclipse directory in rpm-state.
- Do not install .so extaction paterns file.
- Stop running the reconciler.

* Thu Feb 9 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.9.I201202070800
- Remove -debug reconciler flag
- Remove macro _eclipse_reqs.
- Define %%{_eclipse_base} in macros.eclipse.
- Pass dropins dir to reconciler when updating the platform.

* Wed Feb 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.7.I201201310842
- Drop the indirect dependency to tomcat 5.
- Support for gnomelibproxy on x86_64.

* Fri Feb 3 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.6.I201201310842
- Change the makefile patch to be truly universal

* Wed Feb 1 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.5.I201201310842
- Update to Eclipse 3.8 I20120131-0842

* Tue Jan 31 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.4.I201201230800
- Remove xulrunner requirement.

* Tue Jan 31 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.3.I201201230800
- Updated dependency to felix-gogo-shell to include fix for bug 786041.
- Fixed mixed-use-of-spaces-and-tabs warning in the spec file.

* Tue Jan 31 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.2.I201201230800
- Version changed to a better format.

* Mon Jan 30 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.M4c
- Update to Eclipse 3.8 I20120123-0800

* Fri Jan 20 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-16
- Remove ORBit-2 requirement.

* Thu Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-15
- Add BuildRequires:  ORBit2-devel

* Tue Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-15
- Use rpm-state/eclipse for run-reconciler file instead of /var/run.
- Delete eclipse-tmpfiles.conf.

* Mon Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-14
- Remove _eclipse_pkg macro.
- Use mktemp for creating a backup directory in eclipse-reconciler.sh

* Fri Jan 16 2012 Alexander Kurtakov <akurtako@redhat.com> - 1:3.7.1-13
- Fix o.e.osgi.services pom to remove fake parent.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.7.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Andrew Overholt <overholt@redhat.com> 1:3.7.1-11
- Install org.eclipse.osgi.services and org.eclipse.equinox.http.servlet in
  javadir/eclipse.
- Add maven pom and depmap for the above.
- Fixes rhbz#769621.

* Tue Dec 20 2011 Andrew Robinson <arobinso@redhat.com> 1:3.7.1-10
- Specfile fix for license feature.

* Mon Dec 19 2011 Andrew Overholt <overholt@redhat.com> 1:3.7.1-9
- New eclipse-build snapshot with proper p2 repo URLs.

* Tue Nov 29 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-8
- Stop using -clean option.
- Use -Dosgi.checkConfiguration=true when updating the platform.
- Remove cache.timestamps and .bundledata* when running the reconciler
  with -Dosgi.checkConfiguration=true.
- Do not verify %%{_libdir}/%%{name}/artifacts.xml.

* Tue Nov 29 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-7
- Bump release.

* Fri Nov 25 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.1-6
- Add ExclusiveArch for RHEL.

* Fri Nov 25 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-5
- (Re-apply) Upgrade to Tomcat 7 Jasper.
- Include org.eclipse.jdt.core as part of platform to avoid cyclic
  dependency between platform and jdt.

* Mon Nov 21 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-4
- Bump release to match f16 branch.

* Tue Nov 16 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-2
- Upload new source fixing RHBZ #753090.

* Tue Nov 08 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-1
- Update to 3.7.1.
- org.apache.lucene no longer used upstream.

* Sat Oct 29 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-9
- New e-b snapshot - fixed Program.launch for remote uris.
- Adds _javadir/icu4j.jar for secondary archs bootstrapping.

* Wed Oct 26 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-8
- Add Requires(post/postun) to _eclipse_pkg macro.

* Fri Oct 21 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-7
- Install org.eclipse.osgi in javadir/eclipse/osgi.jar
- Add maven pom and depmap.
- Fix compilation with glib 2.31.

* Thu Oct 20 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-7
- Change _eclipse_pkg to pipe all reconciler output to /dev/null

* Thu Oct 20 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-6
- Bump the release number.

* Wed Oct 19 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Add new line before writing to eclipse.ini.

* Fri Oct 14 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Change eclipse-reconciler script to run with no arguments.
- Use initscripts to create run directory.
- Run reconciler only once per install transaction.

* Tue Oct 4 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- New eclipse-build source tar ball.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Bump the relese number.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Remove all metadata files created by the reconciler before
  uninstallation.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Install .so extraction file.
- Extract .so files when the reconciler is run with -clean

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Correct verification for files edited by the reconciler.
- Do not install state files.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Add Requires post and postun platform to jdt and pde on

* Fri Sep 23 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-4
- Run reconciler after and before pde installation.

* Fri Sep 23 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-4
- Add new script eclipse-reconciler.sh
- Run eclipse-reconciler.sh in the post and postun sections of jdt
  and post seciton on platform.
- Remove all old profiles in %%pre rcp.

* Wed Sep 21 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-4
- Remove _bindir/efj in pre - Fixes #738677.

* Mon Sep 12 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-3
- Use latest eclipse-build snapshot - fixes openjdk 7 build.
- Fix efj launcher script.

* Mon Jun 27 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-1.3
- Fix eclipse archive name

* Fri Jun 24 2011 Andrew Overholt <overholt@redhat.com> 1:3.7.0-1.2
- Fix SWT symlink in %%{_libdir} (rhbz#715470)

* Sun Jun 19 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-1.1
- Fix upload of e-b snapshot

* Wed Jun 15 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-1.0
- New e-b snapshot to update build on 3.7 Final

* Tue Jun 07 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.4.RC4
- New e-b snapshot to update build on 3.7 RC4
- Added usage of features back

* Thu Jun 02 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.3.RC3
- New e-b snapshot to update build on 3.7 RC3
- removed efj as it's part of eclipse-build now
- removed usage of features

* Tue May 17 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.2.RC1
- New e-b snapshot, fixes org.eclipse.equinox.util issue
- updated servlet and jsp related dependencies

* Tue May 17 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.1.RC1
- New e-b snapshot - first eclipse 3.7 build based on 3.7 RC1.

* Wed Apr 27 2011 Chris Aniszczyk <zx@redhat.com> 1:3.6.2-5
- New e-b snapshot - really fixes dropins issue.
- update sat4j dependency to 2.3.0

* Mon Apr 25 2011 Chris Aniszczyk <zx@redhat.com> 1:3.6.2-4
- Add rsync to BuildRequires.

* Mon Apr 25 2011 Chris Aniszczyk <zx@redhat.com> 1:3.6.2-3
- New e-b snapshot - fixes dropins issue.

* Fri Apr 8 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-2
- New e-b snapshot - fixes Program.launch problem without libswt-gnome.

* Fri Apr 8 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-1
- Switch to webkit by default.
- New eclipse-build snapshot.

* Wed Apr 6 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-0.2
- Drop bootstrap conditional.
- Drop shell start script.
- Drop jpp versioned dependencies - apache-commons-* have never had such versions.
- Removed patches moved to eclipse-build.

* Fri Mar 11 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-0.1
- First take on 3.6.2.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.1-4
- Fix build with ant 1.8.2.

* Mon Dec 13 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.1-3
- Add fix for Eclipse help XSS vulnerability (RH Bz #661901).

* Tue Oct 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.1-2
- Require zip for eclipse-pde.

* Tue Oct 5 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.1-1
- Update to 3.6.1.

* Fri Oct 1 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.0-17
- Push release #, since there has been a 3.6.0-16 scratch build.

* Thu Sep 30 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.0-16
- Fix copy-platform script generation.

* Mon Sep 27 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.0-15
- Add shell script portability patch for prepare-build-dir.sh.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-14
- Really reenable webkit.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-13
- Reenable webkit support, build is fixed.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-12
- Disable webkit support - it is causing build failures.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-11
- Add jsp-api dependency and use the tomcat6 one.

* Fri Sep 17 2010 Jeff Johnston <jjohnstn@redhat.com> 1:3.6.0-10
- Add patch to fix xpcom problem.

* Tue Sep 7 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-9
- Add webkitgtk-devel BR and webkit R.

* Wed Sep 1 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-8
- Add patch to remove ant-trax from ant bundle's classpath.
- Use new package names in BR/R.

* Wed Sep 1 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-7
- Update to eclipse-build 0.6.1 release.
- Fix build with ant 1.8.1.

* Tue Aug 17 2010 Andrew Overholt <overholt@redhat.com> 1:3.6.0-6
- Update to eclipse-build 0.6.1RC2.
- List a few files that were missing but should be installed.
- Finally remove %%{_datadir}/%%{name}/{features,plugins} as nothing is
  installed in there and shouldn't be.
- Use new eclipse-build targets provision.sdk and installSDKinDropins.
- Remove filenamepatterns.txt as it's now part of eclipse-build.
- Update download URL.
- Remove unused patches.

* Tue Aug 10 2010 Andrew Overholt <overholt@redhat.com> 1:3.6.0-5
- Update to eclipse-build 0.6.0 final.

* Fri Aug 06 2010 Andrew Overholt <overholt@redhat.com> 1:3.6.0-4
- Move epl-v10.html and notice.html to SWT sub-package.

* Thu Jul 15 2010 Elliott Baron <ebaron@fedoraproject.org> 1:3.6.0-3
- Increasing min versions for jetty, icu4j-eclipse and sat4j.

* Fri Jul 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-2
- o.e.core.net.linux is no longer x86 only.

* Fri Jul 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-1
- Update to 3.6.0.
- Based on eclipse-build 0.6.1 RC0.
